summaryrefslogtreecommitdiffstats
path: root/debian/login.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/login.preinst')
-rw-r--r--debian/login.preinst52
1 files changed, 52 insertions, 0 deletions
diff --git a/debian/login.preinst b/debian/login.preinst
new file mode 100644
index 0000000..fc7f598
--- /dev/null
+++ b/debian/login.preinst
@@ -0,0 +1,52 @@
+#! /bin/sh
+
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+remove_md5() {
+ if md5sum $1 2>/dev/null |grep -q $2; then
+ cp $1 $1.pre-upgrade
+ sed -e '/^[^#][ \t]*assword[ \t]*required[ \t]*pam_unix.so/ s/ md5$//' $1 >$1.post-upgrade \
+ && mv $1.post-upgrade $1
+ fi
+ }
+
+
+case "$1" in
+ install|upgrade)
+ if [ "x$2" != "x" ] ; then
+ if dpkg --compare-versions $2 lt 1:4.0.3 ; then
+ remove_md5 /etc/pam.d/login 5e61c3334e25625fe1fa4d79cf9123ff
+ fi
+ fi
+
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+